Bug 208533 - devel/libdap: Fix build with libc++ 3.8.0
Summary: devel/libdap: Fix build with libc++ 3.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks: 208158
  Show dependency treegraph
 
Reported: 2016-04-04 20:51 UTC by Dimitry Andric
Modified: 2016-04-08 16:52 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
Disable custom max_align_t definition for devel/libdap (404 bytes, patch)
2016-04-04 20:51 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2016-04-04 20:51:46 UTC
Created attachment 168984 [details]
Disable custom max_align_t definition for devel/libdap

During the exp-run in bug 208158, it was found that devel/libdap gives errors with libc++ 3.8.0 [1]:

In file included from ./gl/wchar.h:73:
./gl/stddef.h:104:3: error: typedef redefinition with different types ('union max_align_t' vs 'long double')
} max_align_t;
  ^
/usr/include/c++/v1/stddef.h:57:21: note: previous definition is here
typedef long double max_align_t;
                    ^
1 error generated.

This is because libdap contains a gl/stddef.h, which tries to fix possible omissions in the standard stddef.h header.  Unfortunately, this clashes in C++ mode with the stddef.h from libc++.  Fix this similarly to bug 208175, by telling the configure script that the system already has max_align_t, through setting ac_cv_type_max_align_t=yes.

[1] http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/libdap-3.17.0.log
Comment 1 commit-hook freebsd_committer 2016-04-08 16:30:08 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Apr  8 16:29:17 UTC 2016
New revision: 412772
URL: https://svnweb.freebsd.org/changeset/ports/412772

Log:
  - Fix build with libc++ 3.8.0

  PR:		208533
  Submitted by:	dim

Changes:
  head/devel/libdap/Makefile
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2016-04-08 16:52:31 UTC
Committed. Thanks!